Subject: Re: H89 disk formats?

From: "Dwight K. Elvey" <[email-masked]>
Date: Tue Apr 29 20:22:00 2003

Hi Joe
 This would explain why I can't read other tracks but
doesn't explain why I can only read the first sector of
track 0. When I get a chance, I'll put a scope to the
signals to see if it also has some changes in sector length
or something. The 96 does match to the 80 track drives
as 96 tpi. This does make sense.
 I don't really know if it actually read the first sector
completely correct though. It may have read the data and
then failed the checksum, if the sector data was twice as
long, it would still read the first 256 bytes correctly.
Putting one scope channel on the sync output and the other
on the data should make it clearer what they are. Having
double length sectors would make sense with twice the
tracks. This would require less modifications to HDOS
in things like directories.
Dwight

>From: Joe <[email-masked]>
>
>Just as a guess I'd say that they're 96 TPI 80 track disks instead of 40 track 
disks. I don't know but I'm guessing that the HK normally used 40 track disks 
but that those disks came from someone had a mod to use 80 track disks. That was 
pretty common on a lot of the early computers. I did that to my Sanyo and I had 
a Kaypro that had the Advent Turbo ROM and 80 track drives installed.
>
>     Joe
>
>At 04:51 PM 4/29/03 -0700, you wrote:
>>Hi
>> I've been looking at a pile of disk that I'd
>>collected over a period of years. Most are the
>>typical 10 hard sectored disk, formatted in the
>>same way as HDOS uses. In the pile, I found a
>>few that are marked "format 96". These have the
>>10 plus index holes but they don't seem to be
>>the normal format. When I attempt to read them,
>>I can only read the first sector. All of the rest
>>don't seem to read. Does anyone know what this
>>was all about?
>>Dwight